Skip to main content
Storage Services/Storage Services
PUTStorage ServicesSince 4.10.6SynchronousAuth Required

Configure ZCE-X Cluster

Configure ZCE-X Cluster

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • uuidStringRequired

    ZCE-X UUID, uniquely identifies the resource

  • managementIpString

    ZCE-X management node IP. If not filled, defaults to ZceXVO.uuid

  • managementNetworkCidrStringRequired

    ZCE-X management network IP CIDR

  • publicNetworkCidrStringRequired

    ZCE-X public network IP CIDR

  • clusterNetworkCidrStringRequired

    ZCE-X cluster network IP CIDR

Responses

200 OK

On success, this API returns the following response structure.

  • clusterInitSuccessbooleanRequired

    Whether initialization was successful

  • tokenCreatedbooleanRequired

    Whether token generation was successful

  • successbooleanRequired

    Whether configuration was successful

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. If null, the operation succeeded. For details, see error

    • codeStringRequired

      Error code number, globally unique identifier of the error, for example SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief summary of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root cause: the source error that triggered the current error. If there is no original error, this field is null

Endpoint

PUT/zstack/v1/zce-x-plugin/config/cluster

/zstack/v1/zce-x-plugin/config/cluster

Operation ID

UpdateZceXClusterConfig

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/zce-x-plugin/config/cluster' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"uuid":"<uuid>","managementIp":"<managementIp>","managementNetworkCidr":"<managementNetworkCidr>","publicNetworkCidr":"<publicNetworkCidr>","clusterNetworkCidr":"<clusterNetworkCidr>","gatewayNetworkCidr":"<gatewayNetworkCidr>","otherManagementIp":["<otherManagementIp>"],"otherStorageIp":["<otherStorageIp>"],"username":"<username>","password":"<password>","systemTags":["<systemTags>"],"userTags":["<userTags>"],"softwarePackageUuid":"<softwarePackageUuid>"}'

Response Example

200
{ "initSuccess": true, "tokenCreated": true }

Change History

This API has no change history records yet.

View all change history